Bug 736070 - RFE: Include os name and version for distributions
Summary: RFE: Include os name and version for distributions
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Pulp
Classification: Retired
Component: user-experience
Version: unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: Sprint 28
Assignee: Pradeep Kilambi
QA Contact: Preethi Thomas
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-06 15:09 UTC by Pradeep Kilambi
Modified: 2013-09-09 16:34 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-02-24 20:13:50 UTC


Attachments (Terms of Use)

Description Pradeep Kilambi 2011-09-06 15:09:44 UTC
Description of problem:

Distributions in pulp dont include os name and version. This is available in treeinfo file that grinder pulls down as part of the sync. Add these two fields in Distribution model and persist it when distributions are created in pulp.

Comment 2 Jeff Ortel 2011-09-29 00:26:57 UTC
build: 0.235

Comment 3 Preethi Thomas 2011-09-29 14:11:20 UTC
verified

[root@preethi ~]# rpm -q pulp
pulp-0.0.235-1.fc15.noarch
[root@preethi ~]# pulp-admin -u admin -p admin distribution list

+------------------------------------------+
       List of Available Distributions
+------------------------------------------+

Id                    	ks-f15-noarch            
Description           	ks-f15-noarch            
Family                	Fedora                   
Variant               	Fedora                   
Version               	15                       
URL                   	https://preethi.usersys.redhat.com/pulp/ks/released/F-15/GOLD/Fedora/x86_64/os/

Comment 4 Preethi Thomas 2012-02-24 20:13:50 UTC
Pulp v1.0 is released
Closed Current Release.


Note You need to log in before you can comment on or make changes to this bug.